# drop the "personas" table if it exists, then recreate it

DROP TABLE IF EXISTS users;

CREATE TABLE users
(
     # /********************\
     #|*    Datos Bsicos   *|
     # \********************/
  	 id			SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT,
   	 Empresa   		VARCHAR(30) NOT NULL,
  	 Nombre   		VARCHAR(15),
   	 Apellidos   		VARCHAR(30),

  	 Telefono1   		VARCHAR(15),
  	 Telefono2   		VARCHAR(15),
  	 Telefono3   		VARCHAR(15),
  	 Telefono4   		VARCHAR(15),
  	 e_Mail   		VARCHAR(30),
  	 url	   		VARCHAR(50),
  	 Calle   		VARCHAR(25),
  	 Calle2   		VARCHAR(25),
  	 Num	   		VARCHAR(4),
  	 Piso   		VARCHAR(2),
  	 Letra   		VARCHAR(2),
 	 Poblacion   		VARCHAR(20),
 	 Provincia   		VARCHAR(15),
 	 CP	                SMALLINT,

	 Password               VARCHAR(15),

  	 Imagen   		BLOB,

     # /************************\
     #|*   CLAVES PK, SK       *|
     # \************************/

	PRIMARY KEY 		(id)
);

# Cargamos otros datos suministrados por defecto...
# LOAD DATA LOCAL INFILE "personas.txt" INTO TABLE personas;

